@import 'src/components/rem';

.base {
    position: relative;
    margin-left: rem(6px);
    max-height: rem(16px);
}

.icon {
    cursor: pointer;

    * {
        fill: var(--color-gray-600);
    }
}

.view {
    position: absolute;
    left: 50%;
    bottom: rem(25px);
    transform: translateX(-50%);

    width: rem(312px);

    padding: rem(8px) rem(12px);
    background: var(--color-black);
    border-radius: rem(4px);
    color: var(--color-white);
    z-index: 2000;
}

.closeView {
    @extend .icon;

    * {
        fill: var(--color-white);
    }
}

.forced {
    display: grid;
    grid-template-columns: rem(288px) rem(16px);
    grid-column-gap: rem(4px);

    width: rem(328px);
    bottom: rem(30px);

    &:after {
        content: '';
        position: absolute;
        left: 50%;
        transform: rotate(45deg) translateX(-70%);
        bottom: rem(-10px);

        width: rem(12px);
        height: rem(12px);
        background: var(--color-black);
    }
}
